function [u,v]=interp_roms_uv2(file,start,count);
%This function interpolates ROMS velocity data 
%from the u and v grids to the rho grid

%need min(0),max(L)
[M,N]=size(ncread(file,'h'));

uu=ncread(file,'u',[max(1,start(1:2)-2) start(3:4)],[min(count(1)+4,M-1),min(count(1)+4,N) count(3:4)]);
vv=ncread(file,'v',[max(1,start(1:2)-2) start(3:4)],[min(count(1)+4,M),min(count(1)+4,N-1) count(3:4)]);
xr=ncread(file,'x_rho',start(1:2),count(1:2));
yr=ncread(file,'y_rho',start(1:2),count(1:2));
xu=ncread(file,'x_u',max(1,start(1:2)-2),[min(count(1)+4,M-1),min(count(1)+4,N)]);
yu=ncread(file,'y_u',max(1,start(1:2)-2),[min(count(1)+4,M-1),min(count(1)+4,N)]);
xv=ncread(file,'x_v',max(1,start(1:2)-2),[min(count(1)+4,M),min(count(1)+4,N-1)]);
yv=ncread(file,'y_v',max(1,start(1:2)-2),[min(count(1)+4,M),min(count(1)+4,N-1)]);
cs=ncread(file,'Cs_r');

u=zeros([size(xr,1) size(xr,2) size(uu,3),size(uu,4)]);
v=zeros([size(xr,1) size(xr,2) size(vv,3),size(vv,4)]);
for tt=1:size(uu,4)
%disp([sprintf(('%tt,' of ', length(ot), 'complete'])
 for zz=1:size(uu,3)
  u_tmp=squeeze(uu(:,:,zz,tt));
  Ui=TriScatteredInterp(xu(:),yu(:),u_tmp(:));
  u(:,:,zz,tt)=Ui(xr,yr);

  v_tmp=squeeze(vv(:,:,zz,tt));
  Vi=TriScatteredInterp(xv(:),yv(:),v_tmp(:));
  v(:,:,zz,tt)=Vi(xr,yr);
 end
end