function [Cs,s,hc] = roms_getscoords(fname,vgrid)
% ROMS_GETSCOORDS - Reads ROMS history file for scoord parameters.
% [Cs,s,hc] = roms_getscoords(fname,[vgrid])
%
% vgrid is 'w' or 'rho' (default)
%
%
% Edited by JMM, May 2014
%% Check inputs
if ~exist('vgrid','var'),vgrid='rho';end

%% Get s-coord parameters

if vgrid=='w'
    %s  = nc_varget(fname,'s_w');
    %Cs = nc_varget(fname,'Cs_w');
    s  = ncread(fname,'s_w');
    Cs = ncread(fname,'Cs_w');
else
    %s  = nc_varget(fname,'s_rho');
    %Cs = nc_varget(fname,'Cs_r');
    s  = ncread(fname,'s_rho');
    Cs = ncread(fname,'Cs_r');
end

%hc = nc_varget(fname,'hc');
hc = ncread(fname,'hc');

end